Package org.snpeff.genBank

# Class GenBank

java.lang.Object
org.snpeff.genBank.Features
org.snpeff.genBank.GenBank

All Implemented Interfaces:
  `Iterable<Feature>`

public class GenBank extends Features
A class representing the same data as a GenBank file (a 'GB' file) References: http://www.insdc.org/documents/feature-table http://www.ncbi.nlm.nih.gov/Sitemap/samplerecord

Author:
  pablocingolani

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`FEATURE_NAME_FIELD_LEN`

### Fields inherited from class org.snpeff.genBank.Features

`COMPLEMENT, debug, JOIN, MAX_LEN_TO_SHOW, ORDER`

## Constructor Summary

Constructors
Constructor
Description
`GenBank(String fileName)`
Create a Genbank record from a 'GB' file
`GenBank(LineFileIterator lineFileIterator)`

## Method Summary

Modifier and Type
Method
Description
`protected boolean`
`isNewFeature(String line)`
Has this line a new feature?
`protected void`
`parseFieldLine(String name, String valueOri, int fieldLineNum, int fileLineNum)`
Parse a feature line
`void`
`readFile()`
Load and parse the contents of a data file

### Methods inherited from class org.snpeff.genBank.Features

`getAccession, getDate, getDefinition, getDivision, getFeatures, getKeywords, getLocusName, getMoleculeType, getOrganism, getReferences, getSequence, getSequenceLength, getShape, getSource, getVersion, isEmpty, iterator, open, parseFeatures, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Field Details

### FEATURE_NAME_FIELD_LEN

public static final int FEATURE_NAME_FIELD_LEN

See Also:
  - Constant Field Values

## Constructor Details

### GenBank

public GenBank(LineFileIterator lineFileIterator)

### GenBank

public GenBank(String fileName)
Create a Genbank record from a 'GB' file

## Method Details

### isNewFeature

protected boolean isNewFeature(String line)
Has this line a new feature?

Specified by:
  `isNewFeature` in class `Features`

### parseFieldLine

protected void parseFieldLine(String name, String valueOri, int fieldLineNum, int fileLineNum)
Parse a feature line

### readFile

public void readFile()
Load and parse the contents of a data file

Specified by:
  `readFile` in class `Features`